## dpkg-hurd 1.4.1.13

=== debian/changelog ===
dpkg-hurd (1.4.1.13) unstable; urgency=low

  * Fork for the Hurd port.
  * Start from the current linux source again, so we don't diverge too much.
  * archtable: Change to support the Hurd.
  * configure.in: Change name of source package from dpkg to dpkg-hurd.
  * debian/control: Changed name of source package, maintainer,
    architecture. dpkg-hurd-dev c&r&p dpkg-dev, dpkg depends on perl5.
  * debian/rules: dpkg-dev -> dpkg-hurd-dev where approriate. Don't add
    distfiles. Also add build, host, with-arch to configure.
  * debian/shlibs.default.i386: libc6 -> libc0.2
  * dpkg-deb/Makefile.am: Fix LOCALEDIR for cross-compilation.
  * dselect/Makefile.am: Likewise.
  * man/Makefile.am: Likewise.
  * md5sum/Makefile.am: Likewise.
  * split/Makefile.am: Likewise.
  * dselect/baselist.cc: Set SA_RESTART instead SA_INTERRUPT. [REPORTED]
  * lib/lock.c: lock full file (l_len=0) twice. [REPORTED]
  * main/help.c: #define PATH_MAX for MACH. (KLUDGE) [REPORTED]
  * scripts/Makefile.am: add start-stop-daemon.c [REPORTED]
  * scripts/start-stop-daemon.c: Replaced by alternate Hurd version. [REPORTED]
  * scripts/dpkg-divert and update-alternatives: Don't hardcode ENOENT!
  * scripts/dpkg-genchanges: Patch by haggie to revert patch by Roman. Don't
    be picky about missing packages (control vs files).
  * scripts/dpkg-shlibdeps.pl: Fix problem with libraries residing
    somehwere else than in /lib.
  * scripts/dpkg-source.pl: Remove creation and deletion of backup files
    from patch invocation to avoid Hurd breakage. Revert to old version, as
    I heard a rumour it is broken.
  * scripts/install-info: comment out locking (not supported under Hurd).
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Wed,  6 Oct 1999 03:26:07 +0200

dpkg (1.4.1.13) unstable; urgency=low

  * Non-maintainer release.
  * NMU number 13, lets see what breaks :)
  * update-alternatives works across filesystems now
  * Make -sgpg work in dpkg-buildpackage (typo)

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 28 Sep 1999 01:26:19 +0200

dpkg (1.4.1.12) unstable; urgency=low

  * Non-maintainer release.
  * Fix typo in chmodsafe_unlink that made dpkg chmod files that
    weren't setuid or setgid

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 26 Sep 1999 02:41:30 +0200

dpkg (1.4.1.11) unstable; urgency=low

  * Non-maintainer release.
  * Added sparc64 to archtable
  * Added entries for newer alpha architectures to the archtable
  * Always run patch and diff with LANG set to C.
  * Handle diff warning for files with no newline at the end of file
    Closes: Bug#45642

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 24 Sep 1999 03:23:54 +0200

dpkg (1.4.1.10) unstable; urgency=low

  * Non-maintainer release.
  * Build dpkg-scansources manpages using pod2man
  * dpkg-buildpackage changes:
    + fix signinterface-detection
    + use gpg by default if $HOME/.gnupg/secring.gpg exists

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 16 Sep 1999 15:36:43 +0200

dpkg (1.4.1.9) unstable; urgency=low

  * Non-maintainer release.
  * Updated dpkg-scansources to current version from Roderick Schertler
  * Update location of GPL in internals-manual
  * Update location of GPL and dpkg copyright in all manpages
  * Include patch from Roman Hodek for dpkg-source to handle diffs of files
    with lines that begin with two dashes.
  * Move dpkg-scansources to dpkg-dev package
  * Move dpkg-scansources manpage to section 8
  * Fix error that moved a lot of manpages to the dpkg package.
  * It looks like not reading the available-file for listfiles was not greeted
    with much enthiousiasm, so reverse the change.

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 15 Sep 1999 03:45:07 +0200

dpkg (1.4.1.8) unstable; urgency=low

  * Non-maintainer release.
  * Merge dpkg-doc-ja
  * Add patch from Raphael Hertzog <rhertzog@hrnet.fr> for dpkg-scansources
    to skip comments in signatures. This allows packages to also use GnuPG.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 13 Sep 1999 04:16:33 +0200

dpkg (1.4.1.7) unstable; urgency=low

  * Non-maintainer release.
  * Use /usr/share/doc
  * Merge changes from dpkg-iwj tree:
    + change section in dpkg-deb.1 to 1
    + Use COPYINGFILE instead of hardcoded GPL-location in showcopyright()
    + varbufprintf (used for some error messages) vsnprintf return value
      assumption changed to correspond to reality rather than glibc-doc.
    + Don't read available-info when not needed (slightly improved from 
	  dpkg-iwj: don't read for listfiles either :)
    + Cleanup --assert-* code
    + Assume largemem on systems without sysinfo(2).
    + modify preexec-script for easier script execution
    + Do not chmod(".../path/to/symlink",0600) causing many bad perms.
    + Sanity-check numbers for parameters
    + Move some logic from process_archive into wantinstall
    + Print '0' in dpkg-scanpackages if no packages found.

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 Sep 1999 04:06:32 +0200

dpkg (1.4.1.6) unstable; urgency=low

  * Non-maintainer release.
  * scripts/dpkg-architecture.pl: Update to latest version.
  * scripts/dpkg-architecture.1: Likewise.
  
 -- Marcus Brinkmann <brinkmd@debian.org>  Sat, 24 Jul 1999 18:24:21 +0200

dpkg (1.4.1.5) unstable; urgency=low

  * Non-maintainer release.
  * (dpkg-dev): Use emacsen-common for debian-changelog-mode.el
    (closes:Bug#20776,#31030).
  * Removed references to the packaging and policy manuals from debian/control.
  * Put debian-changelog-mode.el in dpkg-dev and remove from dpkg (closes:Bug#29271).
  * Fix paths in 50dpkg-dev.el using Roderick Schertler's patch
    (closes:Bug#28270,#29702,#26876,#29184,and others).
  * Note that bug number 17367 was fixed in 1.4.0.26.
  * Add Zack Weinberg's install-info patch for GNU install-info
    compatibility (closes:Bug#28965).
  * Add dpkg-architecture stuff from Marcus Brinkmann.
  * Remove debian-keyring suggests from dpkg.
  * Add -k<keyid> flag to dpkg-buildpackage.

