=== debian/control ===
Source: dpkg-hurd
Section: base
Priority: required
Maintainer: Marcus Brinkmann <brinkmd@debian.org>
Standards-Version: 2.1.0.0

Package: dpkg
Architecture: hurd-i386
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Depends: perl5
Replaces: dpkg-doc-ja
Description: Package maintenance system for Debian
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-hurd-dev' as well as this one.

Package: dpkg-hurd-dev
Section: devel
Priority: important
Architecture: hurd-i386
Depends: perl5
Recommends: cpio (>= 2.4.2-2), patch (>= 2.2-1), gcc, make
Suggests: gnupg, debian-keyring
Conflicts: dpkgname, dpkg-dev
Replaces: dpkgname, dpkg-dev, dpkg (<< 1.4.0), dpkg-doc-ja
Provides: dpkg-dev
Description: Package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 `cpio' and `patch' are also required to manipulate source packages.
 Some older cpios are insufficient - use at least 2.4.2-2.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.
